"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppInstance = exports.WebhookIdentityType = exports.ResolutionMethod = exports.ReactivationReason = exports.FreeTrialPeriod = exports.FreeTrialStatus = exports.PaymentCycle = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixDevcenterAppInstanceV1AppInstance = __importStar(require("./devcenter-app-instance-v1-app-instance-app-instances.http.js"));
var PaymentCycle;
(function (PaymentCycle) {
    PaymentCycle["NO_CYCLE"] = "NO_CYCLE";
    PaymentCycle["MONTHLY"] = "MONTHLY";
    PaymentCycle["YEARLY"] = "YEARLY";
    PaymentCycle["ONE_TIME"] = "ONE_TIME";
    PaymentCycle["TWO_YEARS"] = "TWO_YEARS";
    PaymentCycle["THREE_YEARS"] = "THREE_YEARS";
    PaymentCycle["FOUR_YEARS"] = "FOUR_YEARS";
    PaymentCycle["FIVE_YEARS"] = "FIVE_YEARS";
})(PaymentCycle || (exports.PaymentCycle = PaymentCycle = {}));
var FreeTrialStatus;
(function (FreeTrialStatus) {
    /** Unknown trial status. */
    FreeTrialStatus["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
    /** The free trial is currently in progress. */
    FreeTrialStatus["IN_PROGRESS"] = "IN_PROGRESS";
    /** The free trial has ended. */
    FreeTrialStatus["ENDED"] = "ENDED";
    /** No free trial was applied, as none was available. */
    FreeTrialStatus["NOT_AVAILABLE"] = "NOT_AVAILABLE";
})(FreeTrialStatus || (exports.FreeTrialStatus = FreeTrialStatus = {}));
var FreeTrialPeriod;
(function (FreeTrialPeriod) {
    /** Free trial status unknown. */
    FreeTrialPeriod["FREE_TRIAL_PERIOD_UNKNOWN"] = "FREE_TRIAL_PERIOD_UNKNOWN";
    /** During a free trial period. */
    FreeTrialPeriod["DURING_FREE_TRIAL"] = "DURING_FREE_TRIAL";
    /** Not during a free trial period. */
    FreeTrialPeriod["NOT_DURING_FREE_TRIAL"] = "NOT_DURING_FREE_TRIAL";
})(FreeTrialPeriod || (exports.FreeTrialPeriod = FreeTrialPeriod = {}));
var ReactivationReason;
(function (ReactivationReason) {
    /** Reactivation reason unknown. */
    ReactivationReason["REACTIVATION_REASON_UNKNOWN"] = "REACTIVATION_REASON_UNKNOWN";
    /** The subscription's auto-renewal is turned on. */
    ReactivationReason["AUTO_RENEW_TURNED_ON"] = "AUTO_RENEW_TURNED_ON";
})(ReactivationReason || (exports.ReactivationReason = ReactivationReason = {}));
var ResolutionMethod;
(function (ResolutionMethod) {
    ResolutionMethod["QUERY_PARAM"] = "QUERY_PARAM";
    ResolutionMethod["SUBDOMAIN"] = "SUBDOMAIN";
    ResolutionMethod["SUBDIRECTORY"] = "SUBDIRECTORY";
})(ResolutionMethod || (exports.ResolutionMethod = ResolutionMethod = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
/**
 * Retrieves data about the instance of your app that's installed on a Wix
 * site and data about the site itself. For example, to check whether the Wix user has installed a free or paid version of your app,
 * or to check which apps made by Wix are installed on the site.
 *
 * You must authenticate this method as a Wix app ([REST](https://dev.wix.com/docs/rest/articles/getting-started/about-identities#wix-app) | [SDK](https://dev.wix.com/docs/build-apps/develop-your-app/access/about-identities#wix-apps)).
 *
 * To retrieve `site.ownerInfo` in the response, you must
 * have the __READ SITE OWNER EMAIL__ permission scope in addition to
 * __MANAGE YOUR APP__.
 * @public
 * @permissionId WIX_DEVELOPERS.MANAGE_APP_INSTANCE
 * @permissionScope Manage Your App
 * @permissionScopeId SCOPE.DC.MANAGE-YOUR-APP
 * @permissionScope Read site, business, and email details
 * @permissionScopeId SCOPE.DEV_CENTER.APP-INSTANCE-READ-BASIC-INFO
 * @applicableIdentity APP
 * @fqn com.wixpress.market.aim.api.AppInstanceService.GetAppInstance
 */
async function getAppInstance() {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[0];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({});
    const reqOpts = ambassadorWixDevcenterAppInstanceV1AppInstance.getAppInstance(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data);
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {},
            singleArgumentUnchanged: false,
        }, []);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getAppInstance = getAppInstance;
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.universal.js.map