import { EventDefinition, HttpClient } from '@wix/sdk-types';
import { AppInstanceInstalledEnvelope, AppInstancePaidPlanAutoRenewalCancelledEnvelope, AppInstancePaidPlanChangedEnvelope, AppInstancePaidPlanPurchasedEnvelope, AppInstancePlanConvertedToPaidEnvelope, AppInstancePlanReactivatedEnvelope, AppInstancePlanTransferredEnvelope, AppInstanceRemovedEnvelope, GetAppInstanceResponse } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getAppInstance(httpClient: HttpClient): GetAppInstanceSignature;
interface GetAppInstanceSignature {
    /**
     * Retrieves data about the instance of your app that's installed on a Wix
     * site and data about the site itself. For example, to check whether the Wix user has installed a free or paid version of your app,
     * or to check which apps made by Wix are installed on the site.
     *
     * You must authenticate this method as a Wix app ([REST](https://dev.wix.com/docs/rest/articles/getting-started/about-identities#wix-app) | [SDK](https://dev.wix.com/docs/build-apps/develop-your-app/access/about-identities#wix-apps)).
     *
     * To retrieve `site.ownerInfo` in the response, you must
     * have the __READ SITE OWNER EMAIL__ permission scope in addition to
     * __MANAGE YOUR APP__.
     */
    (): Promise<GetAppInstanceResponse>;
}
export declare const onAppInstanceInstalled: EventDefinition<AppInstanceInstalledEnvelope, "AppInstalled">;
export declare const onAppInstanceRemoved: EventDefinition<AppInstanceRemovedEnvelope, "AppRemoved">;
export declare const onAppInstancePaidPlanAutoRenewalCancelled: EventDefinition<AppInstancePaidPlanAutoRenewalCancelledEnvelope, "PaidPlanAutoRenewalCancelled">;
export declare const onAppInstancePaidPlanChanged: EventDefinition<AppInstancePaidPlanChangedEnvelope, "PaidPlanChanged">;
export declare const onAppInstancePaidPlanPurchased: EventDefinition<AppInstancePaidPlanPurchasedEnvelope, "PaidPlanPurchased">;
export declare const onAppInstancePlanConvertedToPaid: EventDefinition<AppInstancePlanConvertedToPaidEnvelope, "PlanConvertedToPaid">;
export declare const onAppInstancePlanReactivated: EventDefinition<AppInstancePlanReactivatedEnvelope, "PlanReactivated">;
export declare const onAppInstancePlanTransferred: EventDefinition<AppInstancePlanTransferredEnvelope, "PlanTransferred">;
export { AppInstalled, AppInstance, AppInstanceInstalledEnvelope, AppInstancePaidPlanAutoRenewalCancelledEnvelope, AppInstancePaidPlanChangedEnvelope, AppInstancePaidPlanPurchasedEnvelope, AppInstancePlanConvertedToPaidEnvelope, AppInstancePlanReactivatedEnvelope, AppInstancePlanTransferredEnvelope, AppInstanceRemovedEnvelope, AppRemoved, AvailablePlan, BaseEventMetadata, BillingInfo, FreeTrialInfo, FreeTrialPeriod, FreeTrialStatus, GetAppInstanceByInstanceIdRequest, GetAppInstanceRequest, GetAppInstanceResponse, IdentificationData, IdentificationDataIdOneOf, Locale, MessageEnvelope, Multilingual, OwnerInfo, PaidPlanAutoRenewalCancelled, PaidPlanChanged, PaidPlanPurchased, PaymentCycle, PlanConvertedToPaid, PlanReactivated, PlanTransferred, ReactivationReason, ResolutionMethod, SiteInfo, SupportedLanguage, WebhookIdentityType, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
