import { transformError as sdkTransformError } from '@wix/sdk-runtime/transform-error';
import { renameKeysFromSDKRequestToRESTRequest, renameKeysFromRESTResponseToSDKResponse, } from '@wix/sdk-runtime/rename-all-nested-keys';
import * as ambassadorWixDevcenterAppInstanceV1AppInstance from './devcenter-app-instance-v1-app-instance-app-instances.http.js';
export var PaymentCycle;
(function (PaymentCycle) {
    PaymentCycle["NO_CYCLE"] = "NO_CYCLE";
    PaymentCycle["MONTHLY"] = "MONTHLY";
    PaymentCycle["YEARLY"] = "YEARLY";
    PaymentCycle["ONE_TIME"] = "ONE_TIME";
    PaymentCycle["TWO_YEARS"] = "TWO_YEARS";
    PaymentCycle["THREE_YEARS"] = "THREE_YEARS";
    PaymentCycle["FOUR_YEARS"] = "FOUR_YEARS";
    PaymentCycle["FIVE_YEARS"] = "FIVE_YEARS";
})(PaymentCycle || (PaymentCycle = {}));
export var FreeTrialStatus;
(function (FreeTrialStatus) {
    /** Unknown trial status. */
    FreeTrialStatus["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
    /** The free trial is currently in progress. */
    FreeTrialStatus["IN_PROGRESS"] = "IN_PROGRESS";
    /** The free trial has ended. */
    FreeTrialStatus["ENDED"] = "ENDED";
    /** No free trial was applied, as none was available. */
    FreeTrialStatus["NOT_AVAILABLE"] = "NOT_AVAILABLE";
})(FreeTrialStatus || (FreeTrialStatus = {}));
export var FreeTrialPeriod;
(function (FreeTrialPeriod) {
    /** Free trial status unknown. */
    FreeTrialPeriod["FREE_TRIAL_PERIOD_UNKNOWN"] = "FREE_TRIAL_PERIOD_UNKNOWN";
    /** During a free trial period. */
    FreeTrialPeriod["DURING_FREE_TRIAL"] = "DURING_FREE_TRIAL";
    /** Not during a free trial period. */
    FreeTrialPeriod["NOT_DURING_FREE_TRIAL"] = "NOT_DURING_FREE_TRIAL";
})(FreeTrialPeriod || (FreeTrialPeriod = {}));
export var ReactivationReason;
(function (ReactivationReason) {
    /** Reactivation reason unknown. */
    ReactivationReason["REACTIVATION_REASON_UNKNOWN"] = "REACTIVATION_REASON_UNKNOWN";
    /** The subscription's auto-renewal is turned on. */
    ReactivationReason["AUTO_RENEW_TURNED_ON"] = "AUTO_RENEW_TURNED_ON";
})(ReactivationReason || (ReactivationReason = {}));
export var ResolutionMethod;
(function (ResolutionMethod) {
    ResolutionMethod["QUERY_PARAM"] = "QUERY_PARAM";
    ResolutionMethod["SUBDOMAIN"] = "SUBDOMAIN";
    ResolutionMethod["SUBDIRECTORY"] = "SUBDIRECTORY";
})(ResolutionMethod || (ResolutionMethod = {}));
export var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (WebhookIdentityType = {}));
/**
 * Retrieves data about the instance of your app that's installed on a Wix
 * site and data about the site itself. For example, to check whether the Wix user has installed a free or paid version of your app,
 * or to check which apps made by Wix are installed on the site.
 *
 * You must authenticate this method as a Wix app ([REST](https://dev.wix.com/docs/rest/articles/getting-started/about-identities#wix-app) | [SDK](https://dev.wix.com/docs/build-apps/develop-your-app/access/about-identities#wix-apps)).
 *
 * To retrieve `site.ownerInfo` in the response, you must
 * have the __READ SITE OWNER EMAIL__ permission scope in addition to
 * __MANAGE YOUR APP__.
 * @public
 * @permissionId WIX_DEVELOPERS.MANAGE_APP_INSTANCE
 * @permissionScope Manage Your App
 * @permissionScopeId SCOPE.DC.MANAGE-YOUR-APP
 * @permissionScope Read site, business, and email details
 * @permissionScopeId SCOPE.DEV_CENTER.APP-INSTANCE-READ-BASIC-INFO
 * @applicableIdentity APP
 * @fqn com.wixpress.market.aim.api.AppInstanceService.GetAppInstance
 */
export async function getAppInstance() {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[0];
    const payload = renameKeysFromSDKRequestToRESTRequest({});
    const reqOpts = ambassadorWixDevcenterAppInstanceV1AppInstance.getAppInstance(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return renameKeysFromRESTResponseToSDKResponse(result.data);
    }
    catch (err) {
        const transformedError = sdkTransformError(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: {},
            singleArgumentUnchanged: false,
        }, []);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.universal.js.map