import { getAppInstance as publicGetAppInstance } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onAppInstanceInstalled as publicOnAppInstanceInstalled } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstanceRemoved as publicOnAppInstanceRemoved } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanAutoRenewalCancelled as publicOnAppInstancePaidPlanAutoRenewalCancelled } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanChanged as publicOnAppInstancePaidPlanChanged } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePaidPlanPurchased as publicOnAppInstancePaidPlanPurchased } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePlanConvertedToPaid as publicOnAppInstancePlanConvertedToPaid } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePlanReactivated as publicOnAppInstancePlanReactivated } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
import { onAppInstancePlanTransferred as publicOnAppInstancePlanTransferred } from './devcenter-app-instance-v1-app-instance-app-instances.public.js';
export declare const getAppInstance: MaybeContext<BuildRESTFunction<typeof publicGetAppInstance> & typeof publicGetAppInstance>;
/**
 * Triggered when an instance of your app is installed on a Wix site.
 */
export declare const onAppInstanceInstalled: ReturnType<typeof createEventModule<typeof publicOnAppInstanceInstalled>>;
/**
 * Triggered when an instance of your app is uninstalled from a Wix site.
 */
export declare const onAppInstanceRemoved: ReturnType<typeof createEventModule<typeof publicOnAppInstanceRemoved>>;
/**
 * Triggered when a Wix user either cancels a paid plan for your app, or cancels the plan's auto-renewal. The
 * Wix user can continue to use your app until the end of the current billing
 * cycle.
 */
export declare const onAppInstancePaidPlanAutoRenewalCancelled: ReturnType<typeof createEventModule<typeof publicOnAppInstancePaidPlanAutoRenewalCancelled>>;
/**
 * Triggered when a Wix user upgrades or downgrades their plan for your app.
 */
export declare const onAppInstancePaidPlanChanged: ReturnType<typeof createEventModule<typeof publicOnAppInstancePaidPlanChanged>>;
/**
 * Triggered when a Wix user purchases a paid plan for your app.
 */
export declare const onAppInstancePaidPlanPurchased: ReturnType<typeof createEventModule<typeof publicOnAppInstancePaidPlanPurchased>>;
/**
 * Triggered when a Wix user reaches the end of a free-trial period and is charged successfully.
 */
export declare const onAppInstancePlanConvertedToPaid: ReturnType<typeof createEventModule<typeof publicOnAppInstancePlanConvertedToPaid>>;
/**
 * Triggered when auto-renewal is turned on for a paid plan.
 */
export declare const onAppInstancePlanReactivated: ReturnType<typeof createEventModule<typeof publicOnAppInstancePlanReactivated>>;
/**
 * Triggered when a paid plan for your app is transferred to a different Wix account.
 */
export declare const onAppInstancePlanTransferred: ReturnType<typeof createEventModule<typeof publicOnAppInstancePlanTransferred>>;
export { PaymentCycle, FreeTrialStatus, FreeTrialPeriod, ReactivationReason, ResolutionMethod, WebhookIdentityType, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
export { AppInstance, BillingInfo, FreeTrialInfo, AvailablePlan, AppInstalled, AppRemoved, PaidPlanPurchased, PaidPlanChanged, PaidPlanAutoRenewalCancelled, PlanTransferred, PlanReactivated, PlanConvertedToPaid, GetAppInstanceRequest, GetAppInstanceResponse, SiteInfo, Multilingual, SupportedLanguage, Locale, OwnerInfo, GetAppInstanceByInstanceIdRequest, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, AppInstanceInstalledEnvelope, AppInstanceRemovedEnvelope, AppInstancePaidPlanAutoRenewalCancelledEnvelope, AppInstancePaidPlanChangedEnvelope, AppInstancePaidPlanPurchasedEnvelope, AppInstancePlanConvertedToPaidEnvelope, AppInstancePlanReactivatedEnvelope, AppInstancePlanTransferredEnvelope, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
