import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { transformRESTTimestampToSDKTimestamp } from '@wix/sdk-runtime/transformations/timestamp';
import { transformPaths } from '@wix/sdk-runtime/transformations/transform-paths';
import { EventDefinition } from '@wix/sdk-types';
import { getAppInstance as universalGetAppInstance, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/app-management' };
export function getAppInstance(httpClient) {
    return () => universalGetAppInstance(
    // @ts-ignore
    { httpClient });
}
export const onAppInstanceInstalled = EventDefinition('AppInstalled', false, (event) => renameKeysFromRESTResponseToSDKResponse(event))();
export const onAppInstanceRemoved = EventDefinition('AppRemoved', false, (event) => renameKeysFromRESTResponseToSDKResponse(event))();
export const onAppInstancePaidPlanAutoRenewalCancelled = EventDefinition('PaidPlanAutoRenewalCancelled', false, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'data.operationTimeStamp' }],
    },
])))();
export const onAppInstancePaidPlanChanged = EventDefinition('PaidPlanChanged', false, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'data.operationTimeStamp' }],
    },
])))();
export const onAppInstancePaidPlanPurchased = EventDefinition('PaidPlanPurchased', false, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.operationTimeStamp' },
            { path: 'data.expiresOn' },
        ],
    },
])))();
export const onAppInstancePlanConvertedToPaid = EventDefinition('PlanConvertedToPaid', false, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.operationTimeStamp' },
            { path: 'data.expiresOn' },
        ],
    },
])))();
export const onAppInstancePlanReactivated = EventDefinition('PlanReactivated', false, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'data.operationTimeStamp' },
            { path: 'data.expiresOn' },
        ],
    },
])))();
export const onAppInstancePlanTransferred = EventDefinition('PlanTransferred', false, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'data.operationTimeStamp' }],
    },
])))();
export { FreeTrialPeriod, FreeTrialStatus, PaymentCycle, ReactivationReason, ResolutionMethod, WebhookIdentityType, } from './devcenter-app-instance-v1-app-instance-app-instances.universal.js';
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.public.js.map